#ifndef _CONFIGS_H
#define _CONFIGS_H

#define PLA_PUBKEY_LEN  (72)              /* Must be multiple of 8 */
#define PLA_PRIVKEY_LEN (32)              /* Must be multiple of 8 */

#define PLA_CERT_LEN    (32)              /* Must be multiple of 8 */
#define PLA_SIG_LEN     (80)              /* Must be multiple of 8 */
#define PLA_HASH_DIGEST_LENGTH (160/8)    /* In bytes */

#define PLA_TIMESTAMP_DIFF 3              /* Maximum difference between timestamp and reality */

#define OPTION_PLA 0x09                   /* Hop-by-hop option type for PLA */

#define PLA_USERSPACE_WAIT (HZ/2)         /* Ticks to wait for response before returning an error */

#endif /* _CONFIGS_H */
