#include <linux/module.h>
#include <linux/timer.h>
#include <linux/socket.h>
#include <linux/in6.h>
#include <linux/ipv6.h>
#include <linux/delay.h>
#include <net/protocol.h>

#include <net/ipv6.h>

#include "pla_crypto_impl.h"

extern struct pla_crypto_impl userspace_crypto;

struct pla_crypto_impl *pla_crypto_get_impl(int impl)
{
	struct pla_crypto_impl *result = NULL;

	switch(impl) {
	case CRYPTO_IMPL_USERSPACE:
		result = &userspace_crypto;
		break;
	default:
		result = NULL;
		break;
	}

	return result;
}
