#ifndef _PLA_SRC_ID_H
#define _PLA_SRC_ID_H

#include <linux/netlink.h>
#include <linux/netfilter.h>

int pla_src_id_netlink(struct nlmsghdr *nlh);
int pla_src_key_copy(char *pubkey, char *privkey, char *cert, uint64_t *seqnum, char *id_hash, uint32_t *ttp_id);

void pla_src_id_uninit(void);
int pla_src_id_init(void);

#endif /* _PLA_SRC_ID_H */
