#ifndef _EC_JLU_H
#define _EC_JLU_H

#include <stdint.h>

#include "ec.h"

int ec_bin_to_cert(char *source, elem_t *rho, int8_t *b);
int ec_bin_to_privkey(char *source, mpz_t *sigma);
int ec_bin_to_ttppubkey(char *source, ecpoint_t *e_y);
int ec_cert_to_bin(char *target, elem_t rho, int8_t b);
int ec_privkey_to_bin(char *target, mpz_t sigma);
int ec_params_to_bin(char *target, elem_t rho, mpz_t sigma, int b, ecpoint_t ey);

#endif
